commit:     cce2c9dadeffad8ca1cfd167bb9f64dbcdc010e2
Author:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  4 15:09:24 2019 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 15:12:10 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cce2c9da

dev-util/gn: bump to 0.1616

Package-Manager: Portage-2.3.70_p2, Repoman-2.3.16_p22
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 dev-util/gn/Manifest         |  1 +
 dev-util/gn/gn-0.1616.ebuild | 63 ++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-util/gn/Manifest b/dev-util/gn/Manifest
index b825a8a36ce..f999f89be8b 100644
--- a/dev-util/gn/Manifest
+++ b/dev-util/gn/Manifest
@@ -1,3 +1,4 @@
 DIST gn-0.1463.tar.gz 905571 BLAKE2B 
e048e642704533d478fb751748a97f60283f63868ab1ab6fa5b8e7bc0322745cf21464eaa16194f684869b50f306668d3c7d3b4f72c3985b865d8492d1ff0901
 SHA512 
f32861a8fa44034b932e6aae4787fd7da6e4c6c19c5b6919de7b0d0f1ba20f415c1c55db95a08958a338b7b9de740ff49a29ab894a9c4e9049a89450d8c88281
 DIST gn-0.1544.tar.gz 911124 BLAKE2B 
b8bac7783c373e8101cf727c254c2ee50af49c3e679a8df2cb337a0637e305f1f9094517e6af6a76a19300f533a41d9433624a7963ba0151a88a636bc7e6b4f8
 SHA512 
5cb3a25b66d44cd26063453ddf96563d62b24e8a961ca7fa29a48ee7bde4a423bd0dace36c432b46b677e042fcac9a4fb23afa5dc27e994fca54030b972dad29
 DIST gn-0.1583.tar.xz 648856 BLAKE2B 
997e469bd1411c5307ebf03fca0c533356b6d652f4782212681de7e57f21c493d9d4ae8856877d259234babf4be4e13e529532ba5075ea0de3b823f66cb1ff1e
 SHA512 
8026f9fe549fb2fe8d83ad1ae93ebfd31851e64bc43765fbebda9963b2719c25b551a5db4cf833ac475a797abb928ccc03c74be8be49a3dd184ea944e5d749e2
+DIST gn-0.1616.tar.xz 660332 BLAKE2B 
dab581d9f05cbe7ed91758d0ec68c61bd4e9fd0357b9cfa04f5276185ed6e810b37d9e2177cf3daec29e25633af2d32c6f733507a77cee7e37681bb977a59818
 SHA512 
42f68b40eebc423b785b1ba735548b3e5d2b64abd0dc1bb22940b9336c491308f062f547f81b5366c1dfe1f0e3bb41390ed3e3712637765cac1a50499a5e04d2

diff --git a/dev-util/gn/gn-0.1616.ebuild b/dev-util/gn/gn-0.1616.ebuild
new file mode 100644
index 00000000000..172a7364d2a
--- /dev/null
+++ b/dev-util/gn/gn-0.1616.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2018-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit ninja-utils python-any-r1 toolchain-funcs
+
+DESCRIPTION="GN is a meta-build system that generates build files for Ninja"
+HOMEPAGE="https://gn.googlesource.com/";
+SRC_URI="https://dev.gentoo.org/~floppym/dist/${P}.tar.xz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="vim-syntax"
+
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-util/ninja
+"
+
+PATCHES=(
+       "${FILESDIR}"/gn-gen-r3.patch
+)
+
+pkg_setup() {
+       :
+}
+
+src_configure() {
+       python_setup
+       tc-export AR CC CXX
+       unset CFLAGS
+       set -- ${EPYTHON} build/gen.py --no-last-commit-position --no-strip
+       echo "$@" >&2
+       "$@" || die
+       cat >out/last_commit_position.h <<-EOF || die
+       #ifndef OUT_LAST_COMMIT_POSITION_H_
+       #define OUT_LAST_COMMIT_POSITION_H_
+       #define LAST_COMMIT_POSITION "${PV}"
+       #endif  // OUT_LAST_COMMIT_POSITION_H_
+       EOF
+}
+
+src_compile() {
+       eninja -C out gn
+}
+
+src_test() {
+       eninja -C out gn_unittests
+       out/gn_unittests || die
+}
+
+src_install() {
+       dobin out/gn
+       einstalldocs
+
+       if use vim-syntax; then
+               insinto /usr/share/vim/vimfiles
+               doins -r tools/gn/misc/vim/{autoload,ftdetect,ftplugin,syntax}
+       fi
+}

Reply via email to